/******************************************************
// 	 *功能描述:把密码输入控件写入页面中 
//   *Author: Mazg
// 	 *参数说明：
//		id: 控件id
//		basePath:路径
//		fieldName:数据域
//		maxLen:最大长度
//		minLen:最小长度
//		pwidth:显示宽度
//		pheight:显示高度
//		uniqueID:密文
//      tabindex:tab index
//		
***************************************************** */ 
	function writePwdNpApiObject(id,fieldName,basePath,pwdMaxSize,pwdMinSize,pHeight,pWidth,uniqueID,tabIndex,rule,language) { 
		writePwdNpApiObjectLazy(id,fieldName,pHeight,pWidth);		
		var flag = initPwdNpApiObject(id,fieldName,pwdMaxSize,pwdMinSize,uniqueID,rule,language);
		if(flag==-1){
			$('#'+id).remove();
			
			//测试数据，投产时请确认文件名称
			document.write("<a id='"+id+"' style='color:#C70702;text-decoration:underline' href='"+basePath+"download/BocomSafeInput.exe'>请下载密码控件</a>");
		}else{
			$('a#'+id).remove();
		}
	}
/******************************************************
// 	 *功能描述:把密码输入控件写入页面中 专用于隐藏区域中延迟加载的控件
//   *Author: Mazg
// 	 *参数说明：
//		id: 控件id
//		fieldName:数据域
//		pheight:显示高度
//		pwidth:显示宽度
//		
***************************************************** */ 	
	function writePwdNpApiObjectLazy(id,fieldName,pHeight,pWidth) { 
		document.write("<embed id='"+id+"' type='application/npXEdit' style='display: block;width: "+pWidth+"px; height: "+pHeight+"px;'></embed>");
		document.write("<input type='hidden' id='"+fieldName+"' name='"+fieldName+"'/>");
	}
// 	 *功能描述:初始化控件
//   *Author: Mazg
// 	 *参数说明：
//		id: 控件id
//		fieldName:数据域
//		maxLen:最大长度
//		minLen:最小长度
//		uniqueID:随机码密文	
//      rule:密码规则 
	function initPwdNpApiObject(id,fieldName,maxLen,minLen,uniqueID,rule,language) {
		var npApiObject  = document.getElementById(id);
		if(!(rule !=null))
			rule="10111";
		try{
			npApiObject.init(uniqueID , fieldName , rule , "100", maxLen , minLen , navigator.userAgent.toLowerCase());
		}catch(e){
			return -1;
		}
		
		var errcode = npApiObject.GetErrorCode();
		if(errcode != null && errcode != 0){
			if(language=="zh_CN")
    		{
    			nonie_error_message_cn(errcode);
    		}
    		else if(language=="zh_MO"){
    			nonie_error_message_mo(errcode);
    		}
    		else if(language=="en_UK"){
    			nonie_error_message_uk(errcode);
    		}else {
    			nonie_error_message_mo(errcode);
    		}
	  	  return false;
		}
	}
	
	
	function nonie_error_message_cn(errcode){
		if(errcode==1){
			alert("错误1：非交通银行网上银行的网页地址，请查证核实");
		}
		else if(errcode==2){
			alert("错误2：网页处于被调试状态，请重新打开再试");
		}
		else if(errcode==3){
			alert("错误3：安全控件运行异常，请关闭浏览器并重新安装");
		}
		else if(errcode==4){
			alert("错误4：安全控件运行异常，请关闭浏览器并重新安装");
		}
		else if(errcode==5){
			alert("错误5：安全控件启动异常，请关闭浏览器并使用管理员重新安装");
		}
		else if(errcode==6){
			alert("错误6：安全控件启动异常，请关闭浏览器并使用管理员重新安装");
		}
		else if(errcode==7){
			alert("错误7：安全控件启动异常，请关闭浏览器并使用管理员重新安装");
		}
		else if(errcode==8){
			alert("错误8：输入的字符长度不正确，请重新输入");
		}
		else if(errcode==9){
			alert("错误9：安全控件运行异常，请关闭浏览器并重新安装");
		}
		else if(errcode==10){
			alert("错误10：安全控件运行异常，请关闭浏览器并重新安装");
		}
		else if(errcode==11){
			alert("错误11：安全控件运行异常，请关闭浏览器并重新安装");
		}
		else if(errcode==12){
			alert("错误12：安全控件运行异常，请刷新浏览器页面");
		}
		else{
			alert("其它：安全控件运行异常，请关闭浏览器并重新安装");
		}
	}
	
	function nonie_error_message_mo(errcode){
		if(errcode==1){
			alert("错误1：非交通银行网上银行的网页地址，请查证核实");
		}
		else if(errcode==2){
			alert("错误2：网页处于被调试状态，请重新打开再试");
		}
		else if(errcode==3){
			alert("错误3：安全控件运行异常，请关闭浏览器并重新安装");
		}
		else if(errcode==4){
			alert("错误4：安全控件运行异常，请关闭浏览器并重新安装");
		}
		else if(errcode==5){
			alert("错误5：安全控件启动异常，请关闭浏览器并使用管理员重新安装");
		}
		else if(errcode==6){
			alert("错误6：安全控件启动异常，请关闭浏览器并使用管理员重新安装");
		}
		else if(errcode==7){
			alert("错误7：安全控件启动异常，请关闭浏览器并使用管理员重新安装");
		}
		else if(errcode==8){
			alert("错误8：输入的字符长度不正确，请重新输入");
		}
		else if(errcode==9){
			alert("错误9：安全控件运行异常，请关闭浏览器并重新安装");
		}
		else if(errcode==10){
			alert("错误10：安全控件运行异常，请关闭浏览器并重新安装");
		}
		else if(errcode==11){
			alert("错误11：安全控件运行异常，请关闭浏览器并重新安装");
		}
		else if(errcode==12){
			alert("错误12：安全控件运行异常，请刷新浏览器页面");
		}
		else{
			alert("其它：安全控件运行异常，请关闭浏览器并重新安装");
		}
	}
	
	function nonie_error_message_uk(errcode){
		if(errcode==1){
			alert("Error 1: Not URL of BOCOM online banking, please have a check");
		}
		else if(errcode==2){
			alert("Error 2: The web pages are under debugging, please try again.");
		}
		else if(errcode==3){
			alert("Error 3: Security control is malfunctioning; please close the explorer and reinstall it.");
		}
		else if(errcode==4){
			alert("Error 4: Security control is malfunctioning; please close the explorer and reinstall it.");
		}
		else if(errcode==5){
			alert("Error 5: Security control cannot start normally; please close the explorer and use administrator to reinstall it.");
		}
		else if(errcode==6){
			alert("Error 6: Security control cannot start normally; please close the explorer and use administrator to reinstall it.");
		}
		else if(errcode==7){
			alert("Error 7: Security control cannot start normally; please close the explorer and use administrator to reinstall it.");
		}
		else if(errcode==8){
			alert("Error 8: Length of characters entered is incorrect; please try again.");
		}
		else if(errcode==9){
			alert("Error 9: Security control is malfunctioning; please close the explorer and reinstall it.");
		}
		else if(errcode==10){
			alert("Error 10: Security control is malfunctioning; please close the explorer and reinstall it.");
		}
		else if(errcode==11){
			alert("Error 11: Security control is malfunctioning; please close the explorer and reinstall it.");
		}
		else if(errcode==12){
			alert("Error 12: Security control is malfunctioning; please refresh the page.");
		}
		else{
			alert("Others：Security control is malfunctioning; please close the explorer and reinstall it.");
		}
	}
	
	
/******************************************************
// 	 *功能描述:提交密码(单密码) 
//   *Author: Mazg
// 	 *参数说明：
//		objectId: 控件id
//		submitFormId:提交的formID
//		
***************************************************** */ 	
	function submitPwdNpApiObject(objectId,submitFormId,language) {
		var npApiObject  = document.getElementById(objectId);
	    if(!npApiObject.isValid){
	    	var errcode = npApiObject.GetErrorCode();
			if(language=="zh_CN")
	    	{
	    		nonie_error_message_cn(errcode);
	    	}
	    	else if(language=="zh_MO"){
	    		nonie_error_message_mo(errcode);
	    	}
	    	else if(language=="en_UK"){
	    		nonie_error_message_uk(errcode);
	    	}else {
	    		nonie_error_message_mo(errcode);
	    	}
		    npApiObject.setfocus();
		    return false;
	    }
	    document.getElementById(npApiObject.EditName).value = npApiObject.CypherText;
	    document.getElementById(submitFormId).submit();
	}
/******************************************************
// 	 *功能描述:提交密码（多密码）
//   *Author: Mazg
// 	 *参数说明：
//		objectIdSet: 控件id集合
//		submitFormId:提交的formID
//		
***************************************************** */ 	
	function submitPwdNpApiObjects(objectIdSet,submitFormId,language) {
		for(var i=0; i<objectIdSet.length; i++) {
			var npApiObject  = document.getElementById(objectIdSet[i]);
		    if(!npApiObject.isValid){
		    	var errcode = npApiObject.GetErrorCode();
				if(language=="zh_CN")
		    	{
		    		nonie_error_message_cn(errcode);
		    	}
		    	else if(language=="zh_MO"){
		    		nonie_error_message_mo(errcode);
		    	}
		    	else if(language=="en_UK"){
		    		nonie_error_message_uk(errcode);
		    	}else {
		    		nonie_error_message_mo(errcode);
		    	}
			    npApiObject.setfocus();
			     return false;
		    }
		    //将控件中的密码密文写入submitForm的相关hidden域(EditName)
		    document.getElementById(npApiObject.EditName).value = npApiObject.CypherText;
		}
	    document.getElementById(submitFormId).submit();
	}
